import request from '@/utils/request'

// 分页查询
export const pageList = (query) => {
  return request({
    url: '/member/pdaUser/pageList',
    method: 'get',
    params: query
  })
}

// 新增修改
export const saveAndEdit = (data) => {
  return request({
    url: '/member/pdaUser/insertOrUpdate',
    method: 'post',
    data: data
  })
}


// 删除
export const deleteById = (id) => {
  return request({
    url: '/member/pdaUser/deleteById',
    method: 'delete',
    params: {id:id}
  })
}

// 密码重置
export const resetPwd = (data) => {
  return request({
    url: '/member/pdaUser/resetPwd',
    method: 'post',
    data: data
  })
}

// 禁用启用
export const ionline = (data) => {
  return request({
    url: '/member/pdaUser/enable',
    method: 'post',
    data: data
  })
}
